# Enum Class HandlerResult

java.lang.Object
java.lang.Enum<HandlerResult>
com.sun.nio.sctp.HandlerResult

All Implemented Interfaces:
  `Serializable, Comparable<HandlerResult>, Constable`

public enum HandlerResult extends Enum<HandlerResult>
Defines notification handler results.

The `HandlerResult` is used to determine the behavior of the channel after it handles a notification from the SCTP stack. Essentially its value determines if the channel should try to receive another notification or a message before returning.

Since:
  1.7

## Nested Class Summary

### Nested classes/interfaces declared in class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONTINUE`
Try to receive another message or notification.
`RETURN`
Return without trying to receive any more data.

## Method Summary

Modifier and Type
Method
Description
`static HandlerResult`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HandlerResult[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CONTINUE

public static final HandlerResult CONTINUE
Try to receive another message or notification.

### RETURN

public static final HandlerResult RETURN
Return without trying to receive any more data.

## Method Details

### values

public static HandlerResult[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HandlerResult valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null